package jani.interaction.basic.messages

import jani.interaction.basic.ParameterValue
import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
@SerialName("server-parameters")
data class RequestUpdateServerParameters(
    val id: Int,
    val parameters: List<ParameterValue>
) : JaniMessage() {

    init {
        assert(id >= 1)
    }
}
