package fxGui.debugger.channels

import javafx.scene.control.Label

@Suppress("RECEIVER_NULLABILITY_MISMATCH_BASED_ON_JAVA_ANNOTATIONS")
internal class ChannelElement(element: String, type: ChannelType) : Label(element) {

    internal constructor(element: Any, type: ChannelType) : this(element.toString(), type)

    init {
        stylesheets += this::class.java.getResource("/fxGui/css/general.css").toExternalForm()
        stylesheets += this::class.java.getResource("/fxGui/css/channelElement.css").toExternalForm()

        styleClass += type.s
    }
}
