package jani.interaction.tasks

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
@SerialName("task-message")
class ProvideTaskMessage(override val id: Int, val severity: Severity, val message: String) : JaniTask() {

    @Serializable
    enum class Severity {
        @SerialName("info")
        INFO,

        @SerialName("warning")
        WARNING,

        @SerialName("error")
        ERROR,
    }
}
