package jani.interaction.tasks

import kotlinx.serialization.SerialName
import kotlinx.serialization.Serializable

@Serializable
@SerialName("task-progress")
class ProvideTaskProgress(override val id: Int, val progress: Double) : JaniTask() {

    init {
        // assert(progress in 0.0..1.0)
        assert(progress >= 0.0)
        assert(progress <= 1.0)
    }
}
